Gentoo Archives: gentoo-alpha

From: davide cittaro <daweonline@×××××.com>
To: "gentoo-alpha@l.g.o" <gentoo-alpha@l.g.o>
Subject: [gentoo-alpha] kernel 2.6.14.2 on a ds25. Cannot map pci devices
Date: Wed, 23 Nov 2005 11:34:58
Message-Id: e937528f0511230334w2eba7453j834e2a914e74a4ac@mail.gmail.com
Hi pals. After all I'm able to run gentoo on my alpha DS25 but only
with kernel 2.4.30 (compiled on a redhat, using gcc 2.96.3). It works
and that's great! I could be satisfied but now I want to run on 2.6
kernel.
I emerged vanilla-sources (2.6.14.2) and compiled a lot of times but
every time I have the system not running because it cannot map pci
devices (scsi disks and ethernet devices..), i.e.

Bogus pci_unmap_single: dma_addr 0 base 800000 size 800000.

this is repeated several times.
Does anybody have a clue to fix this? A hint to compile?

Thanks

d

-- 
gentoo-alpha@g.o mailing list